#pragma once

// Fichier d'en-tte pour le Pazaak
#include <vector>
#include <string>

struct SInfo
{
	std::string author;
	std::string version;
	std::string title;
	std::string description;
};

struct SDeck
{
	std::vector<int> deck;
};

struct SCoup
{
	int valeur;
};

struct SMainPublique
{
	SDeck m_deck;
	int m_hand[4];
};

struct SPlateauPublic
{
	int m_manches[2];
	int m_limitemanches;
	int m_cartesenmain[2];
	bool m_stand[2];
	int m_plateau[18];
	int m_indiceplateau[2];
	bool m_cardPlayedThisTurn;
	int m_totaux[2];
};

struct SHistoriqueElem
{
	int player;
	int action;
	int argument;
	int argument2;
};

struct SSituation
{
	SPlateauPublic plateauPublic;
	SMainPublique mainPublique;
	std::vector<SHistoriqueElem> historique;
	int indiceJoueur;
};